package com.zcloud.service.alarm.impl;

import com.zcloud.entity.Page;
import com.zcloud.entity.PageData;
import com.zcloud.mapper.datasource.alarm.DeviceCorpMapper;
import com.zcloud.service.alarm.DeviceCorpService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * 说明：设备-公司表
 * 作者：luoxiaobao
 * 时间：2022-05-28
 * 官网：www.zcloudchina.com
 */
@Service
@Transactional //开启事物
public class DeviceCorpServiceImpl implements DeviceCorpService {

	@Autowired
	private DeviceCorpMapper devicecorpMapper;

	/**新增
	 * @param pd
	 * @throws Exception
	 */
	public void save(PageData pd)throws Exception{
		devicecorpMapper.save(pd);
	}

	/**删除
	 * @param pd
	 * @throws Exception
	 */
	public void delete(PageData pd)throws Exception{
		devicecorpMapper.delete(pd);
	}

	/**修改
	 * @param pd
	 * @throws Exception
	 */
	public void edit(PageData pd)throws Exception{
		devicecorpMapper.edit(pd);
	}

	/**列表
	 * @param page
	 * @throws Exception
	 */
	public List<PageData> list(Page page)throws Exception{
		return devicecorpMapper.datalistPage(page);
	}

	/**列表(全部)
	 * @param pd
	 * @throws Exception
	 */
	public List<PageData> listAll(PageData pd)throws Exception{
		return devicecorpMapper.listAll(pd);
	}

	/**通过id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findById(PageData pd)throws Exception{
		return devicecorpMapper.findById(pd);
	}

	/**通过设备id获取数据
	 * @param pd
	 * @throws Exception
	 */
	public PageData findByDevId(PageData pd)throws Exception{
		return devicecorpMapper.findByDevId(pd);
	}

	/**批量删除
	 * @param ArrayDATA_IDS
	 * @throws Exception
	 */
	public void deleteAll(String[] ArrayDATA_IDS)throws Exception{
		devicecorpMapper.deleteAll(ArrayDATA_IDS);
	}

}

